//
// FaceUpdate.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct FaceUpdate: Codable {

    public var fullName: String?
    public var sex: FaceSex?
    public var birthDate: Date?
    public var documentNumber: String?

    public init(fullName: String? = nil, sex: FaceSex? = nil, birthDate: Date? = nil, documentNumber: String? = nil) {
        self.fullName = fullName
        self.sex = sex
        self.birthDate = birthDate
        self.documentNumber = documentNumber
    }

    public enum CodingKeys: String, CodingKey { 
        case fullName = "full_name"
        case sex
        case birthDate = "birth_date"
        case documentNumber = "document_number"
    }

}
